<div [formGroup]="form">
  <div class="row mb-3">
      <h3>Werkervaring  <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addWerkervaring()">
        <add-item-svg></add-item-svg>
      </a></h3>
  </div>
  <div class="row">
    <div class="col-12">
      <div formArrayName="werkervaring" *ngFor="let werkervaringControl of t.controls; let i=index">
        <div [formGroupName]="i">
          <div class="row">
            <div class="col-4">

              <div>
                <label>Datum aanvang werkzaamheden <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De datum van de eerste dag van de werkzaamheden." tooltipClass="custom" for="clicked"></i></label>
                <app-calendar-picker
                  [control]="$any(werkervaringControl).get('datumAanvangWerkzaamheden')"></app-calendar-picker>
              </div>

              <div>
                <label>Datum einde werkzaamheden <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De datum van de laatste dag van de werkzaamheden." tooltipClass="custom" for="clicked"></i></label>
                <app-calendar-picker
                  [control]="$any(werkervaringControl).get('datumEindeWerkzaamheden')"></app-calendar-picker>
              </div>

              <label>Naam organisatie <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="De naam waaronder de organisatie bekend is." tooltipClass="custom" for="clicked"></i></label>
              <textarea type="text" class="form-control" formControlName="naamOrganisatie"
                        [ngClass]="(werkervaringControl.get('naamOrganisatie')?.touched ||
                         werkervaringControl.get('naamOrganisatie')?.dirty)
                         && werkervaringControl.get('naamOrganisatie')?.invalid ? 'is-invalid' : '' "
              ></textarea>
              <div class="invalid-feedback">
                Incorrecte naam organisatie
              </div>
            </div>

            <div class="col-7">
              <app-beroep-form
                (formReady)="updateWerkervaring($any(werkervaringControl), $event)">
              </app-beroep-form>
            </div>


            <div class="col-1 align-self-center">
              <button type="button" class="btn btn-outline-danger" (click)="removeWerkervaring(i)">
                <remove-item-svg></remove-item-svg>
              </button>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>

  <pre *ngIf="vraagObject?.arbeidsmarktkwalificatie?.werkervaring">
  {{ vraagObject?.arbeidsmarktkwalificatie?.werkervaring | json }}
  </pre>

</div>
